<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".ui.fragments.QueryTwoFragment">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="0.32"
        android:orientation="vertical"
        android:paddingLeft="20dp"
        android:paddingTop="20dp"
        android:paddingRight="23dp">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="34dp">

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/chemicalName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:textColor="@color/black"
                android:textSize="15sp" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/chemicalLevelName"
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:layout_centerVertical="true"
                android:layout_marginRight="6dp"
                android:layout_toLeftOf="@+id/imgA"
                android:background="@drawable/bg_guan_zhi"
                android:gravity="center"
                android:paddingLeft="10dp"
                android:paddingTop="3dp"
                android:paddingRight="10dp"
                android:paddingBottom="3dp"
                android:textColor="@color/purple_0072dd"
                android:textSize="10sp" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/chemicalCategoryName"
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:layout_centerVertical="true"
                android:layout_toLeftOf="@+id/produce"
                android:background="@drawable/bg_guan_zhi"
                android:gravity="center"
                android:paddingLeft="10dp"
                android:paddingTop="3dp"
                android:paddingRight="10dp"
                android:paddingBottom="3dp"
                android:textColor="@color/purple_0072dd"
                android:textSize="10sp" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="34dp">

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/cont"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:textColor="@color/black"
                android:textSize="12sp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/icon_cx_zl" />

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:id="@+id/surplus"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:background="@mipmap/icon_cz_jhl" />

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:id="@+id/chemicalNumber"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

            </LinearLayout>

        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="10dp"
            android:background="@color/purple_A2A2A2" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/bg_bei_ji"
            android:gravity="center_vertical">

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="编码"
                android:textColor="@color/black" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="规格"
                android:textColor="@color/black" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="库存量"
                android:textColor="@color/black" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="归属人"
                android:textColor="@color/black" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="存储位置"
                android:textColor="@color/black" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="状态"
                android:textColor="@color/black" />

        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvUse"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:layout_marginTop="10dp"
            tools:listitem="@layout/item_ues_details" />
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="19dp">

        <LinearLayout
            android:id="@+id/rvPage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:orientation="horizontal">

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/one"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:background="@drawable/bg_sou_suo_page"
                android:gravity="center"
                android:text="1"
                android:textColor="@color/white"
                android:textSize="10sp" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/two"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:background="@drawable/bg_sou_suo_two_page"
                android:gravity="center"
                android:text="2"
                android:textColor="@color/black"
                android:textSize="10sp"
                android:visibility="gone" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/three"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:background="@drawable/bg_sou_suo_two"
                android:gravity="center"
                android:text="3"
                android:textColor="@color/black"
                android:textSize="10sp"
                android:visibility="gone" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/drop"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:background="@drawable/bg_sou_suo_two"
                android:gravity="center"
                android:text="..."
                android:textColor="@color/black"
                android:textSize="10sp"
                android:visibility="gone" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/many"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:background="@drawable/bg_sou_suo_two"
                android:gravity="center"
                android:text="4"
                android:textColor="@color/black"
                android:textSize="10sp"
                android:visibility="gone" />
        </LinearLayout>

        <Button
            android:id="@+id/butUpper"
            android:layout_width="65dp"
            android:layout_height="25dp"
            android:layout_centerVertical="true"
            android:layout_marginRight="10dp"
            android:layout_toLeftOf="@+id/rvPage"
            android:background="@drawable/bg_up_page"
            android:text="上一页"
            android:textColor="@color/black"
            android:textSize="10sp" />

        <Button
            android:id="@+id/butNext"
            android:layout_width="65dp"
            android:layout_height="25dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/rvPage"
            android:background="@drawable/bg_sou_suo_page"
            android:text="下一页"
            android:textColor="@color/white"
            android:textSize="10sp" />
    </RelativeLayout>
</RelativeLayout>